This service will be undergoing maintenance at 20:00 UTC, 2017-04-03. It is expected to last about 30 minutes
Bug 144281 - 2 * printf-style problems
2 * printf-style problems
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: cfengine (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Thomas Woerner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-05 10:49 EST by David Binderman
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-11-21 08:25:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Binderman 2005-01-05 10:49:44 EST
Description of problem:

I just tried to compile package cfengine-2.1.11-1 from 
Redhat Fedora development tree.

The compiler said

1.

edittools.c(1434): warning #267: the format string requires additional
arguments

The source code is

      snprintf(OUTPUT,CF_BUFSIZE,"File %s did not exist and was marked
for editing");

One %s specifier, no trailing parameters. Suggest code rework.

2.

eval.c(694): warning #267: the format string requires additional arguments

The source code is

      Debug4("Checking AND Atom %s?\n");

Suggest add trailing parameter.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Thomas Woerner 2005-11-21 08:25:37 EST
I am sorry, but cfengine did not make it into fedora core at the end.

Clogin as WONTFIX.

Note You need to log in before you can comment on or make changes to this bug.